Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.serialization.xml
Interface JigXML

All Known Implementing Classes:
  XMLDescrReader, XMLDescrWriter, XMLReader, XMLResourceWriter, XMLSerializer, XMLSubsetReader, XMLWriter

public interface JigXML

Field Summary
`static java.lang.String` | `ARRAY_TAG`
`static java.lang.String` | `ATTRIBUTE_TAG`
`static java.lang.String` | `CHILD_TAG`
`static java.lang.String` | `CHILDREN_TAG`
`static java.lang.String` | `CLASS_ATTR`
`static java.lang.String` | `DESCR_TAG`
`static java.lang.String` | `dtd`
`static java.lang.String` | `FLAG_ATTR`
`static java.lang.String` | `iARRAY_TAG`
`static java.lang.String` | `iATTRIBUTE_TAG`
`static java.lang.String` | `iCHILD_TAG`
`static java.lang.String` | `iCHILDREN_TAG`
`static java.lang.String` | `iCLASS_ATTR`
`static java.lang.String` | `iDESCR_TAG`
`static java.lang.String` | `idtd`
`static java.lang.String` | `iFLAG_ATTR`
`static java.lang.String` | `iIMPLEMENTS_TAG`
`static java.lang.String` | `iINHERIT_TAG`
`static java.lang.String` | `iJXML_TAG`
`static java.lang.String` | `iLENGTH_ATTR`
`static java.lang.String` | `IMPLEMENTS_TAG`
`static java.lang.String` | `iNAME_ATTR`
`static java.lang.String` | `INHERIT_TAG`
`static java.lang.String` | `ins`
`static java.lang.String` | `iNULL`
`static java.lang.String` | `iRESARRAY_TAG`
`static java.lang.String` | `iRESOURCE_TAG`
`static java.lang.String` | `iVALUE_TAG`
`static java.lang.String` | `iversion`
`static java.lang.String` | `JXML_TAG`
`static java.lang.String` | `LENGTH_ATTR`
`static java.lang.String` | `NAME_ATTR`
`static java.lang.String` | `ns`
`static java.lang.String` | `NULL`
`static java.lang.String` | `RESARRAY_TAG`
`static java.lang.String` | `RESOURCE_TAG`
`static java.lang.String` | `VALUE_TAG`
`static java.lang.String` | `version`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### iversion

    public static final java.lang.String iversion

### dtd

    public static final java.lang.String dtd

See Also:
  Constant Field Values

### idtd

    public static final java.lang.String idtd

### ns

    public static final java.lang.String ns

See Also:
  Constant Field Values

### ins

    public static final java.lang.String ins

### JXML_TAG

    public static final java.lang.String JXML_TAG

See Also:
  Constant Field Values

### iJXML_TAG

    public static final java.lang.String iJXML_TAG

### RESOURCE_TAG

    public static final java.lang.String RESOURCE_TAG

See Also:
  Constant Field Values

### iRESOURCE_TAG

    public static final java.lang.String iRESOURCE_TAG

### DESCR_TAG

    public static final java.lang.String DESCR_TAG

See Also:
  Constant Field Values

### iDESCR_TAG

    public static final java.lang.String iDESCR_TAG

### CHILDREN_TAG

    public static final java.lang.String CHILDREN_TAG

See Also:
  Constant Field Values

### iCHILDREN_TAG

    public static final java.lang.String iCHILDREN_TAG

### CHILD_TAG

    public static final java.lang.String CHILD_TAG

See Also:
  Constant Field Values

### iCHILD_TAG

    public static final java.lang.String iCHILD_TAG

### ATTRIBUTE_TAG

    public static final java.lang.String ATTRIBUTE_TAG

See Also:
  Constant Field Values

### iATTRIBUTE_TAG

    public static final java.lang.String iATTRIBUTE_TAG

### ARRAY_TAG

    public static final java.lang.String ARRAY_TAG

See Also:
  Constant Field Values

### iARRAY_TAG

    public static final java.lang.String iARRAY_TAG

### RESARRAY_TAG

    public static final java.lang.String RESARRAY_TAG

See Also:
  Constant Field Values

### iRESARRAY_TAG

    public static final java.lang.String iRESARRAY_TAG

### INHERIT_TAG

    public static final java.lang.String INHERIT_TAG

See Also:
  Constant Field Values

### iINHERIT_TAG

    public static final java.lang.String iINHERIT_TAG

### IMPLEMENTS_TAG

    public static final java.lang.String IMPLEMENTS_TAG

See Also:
  Constant Field Values

### iIMPLEMENTS_TAG

    public static final java.lang.String iIMPLEMENTS_TAG

### VALUE_TAG

    public static final java.lang.String VALUE_TAG

See Also:
  Constant Field Values

### iVALUE_TAG

    public static final java.lang.String iVALUE_TAG

### LENGTH_ATTR

    public static final java.lang.String LENGTH_ATTR

See Also:
  Constant Field Values

### iLENGTH_ATTR

    public static final java.lang.String iLENGTH_ATTR

### CLASS_ATTR

    public static final java.lang.String CLASS_ATTR

See Also:
  Constant Field Values

### iCLASS_ATTR

    public static final java.lang.String iCLASS_ATTR

### NAME_ATTR

    public static final java.lang.String NAME_ATTR

See Also:
  Constant Field Values

### iNAME_ATTR

    public static final java.lang.String iNAME_ATTR

### FLAG_ATTR

    public static final java.lang.String FLAG_ATTR

See Also:
  Constant Field Values

### iFLAG_ATTR

    public static final java.lang.String iFLAG_ATTR

### NULL

    public static final java.lang.String NULL

See Also:
  Constant Field Values

### iNULL

    public static final java.lang.String iNULL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD